PETSc version 3.15.5
Fix/Edit manual page

# PetscMallocTraceSet

Trace all calls to PetscMalloc()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocTraceSet(PetscViewer viewer, PetscBool active, PetscLogDouble logmin)

Not Collective

### Input Arguments

| viewer | - The viewer to use for tracing, or NULL to use stdout
| active | - Flag to activate or deactivate tracing
| logmin | - The smallest memory size that will be logged

### Note

The viewer should not be collective.

### See Also

PetscMallocTraceGet(), PetscMallocViewGet(), PetscMallocDump(), PetscMallocView()

### Level

advanced

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages